{
  lib,
  config,
  ...
}: let
  inherit (lib) mkIf mkEnableOption;
  cfg = config.horseman.dots.warprc;
  username = config.horseman.username;
in {
  options = {
    horseman.dots.warprc = {
      enable = mkEnableOption "~/.warprc";
    };
  };

  config = mkIf cfg.enable {
    home-manager.users.${username}.home.file.".warprc".text = ''
      docs:~/Documents
      down:~/Downloads
      nix:~/nix-config
      obs:~/Documents/Uni
      prog:~/Programming
    '';
  };
}
